Window Maker(1)

NAME
wmaker - X11 window manager with a NEXTSTEP look

SYNOPSIS
wmaker [-options]

DESCRIPTION
Window Maker is a X11 window manager with a NEXTSTEP look. It tries to emulate NeXT's look as much as possible, but it deviates from it as necessary.

OPTIONS

-display host:display.screen
    specify display to use. On multiheaded machines, Window Maker will automatically manage all screens. If you want Window Maker to manage only a specific screen, you must supply the screen number you want to have managed with the -display command line argument. For example, if you want Window Maker to manage only screen 1, start it as:
        wmaker -display :0.1

--dont-restore
    do not restore saved session

--global_defaults_path
    print the path where the files for the default configuration are installed and exit

--help
    print the list of command line options supported, one per line, and exit

--locale locale
    specify the locale (i18n language) to use; Window Maker will also set the variable LANG which will be inherited by all applications started from Window Maker

--no-autolaunch
    do not launch at start-up the applications that were marked in the configuration as autolanched

--no-clip
    do not show the workspace Clip

--no-dock
    do not show the application Dock

--no-drawer
    disable the Drawers in the Dock

--no-polling
    disable the periodic check on the configuration file to reload it automatically

--static
    do not update or save automatically the configuration

--version
    display Window Maker's version number and exit

--visual-id
    specify the ID of the visual to use; see xdpyinfo(1) for a list of visuals available in your display

FILES

~/GNUstep/Defaults/WindowMaker
    general Window Maker defaults.

~/GNUstep/Defaults/WMState
    information about the Dock and Clip. DON'T edit this while running Window Maker. It will be overwritten.

~/GNUstep/Defaults/WMRootMenu
    Contains the name of the file to read the root menu from or the menu itself, in property list format.

~/GNUstep/Defaults/WMWindowAttributes
    Attributes for different application classes and instances. Use the Attribute Editor (right drag the application's title bar, select Attributes) instead of modifying this file directly. There are just a few options not available using the Attributes Editor.

/opt/local/etc/WindowMaker/
    All the above-mentioned files are READ from here if not found except for WMState, which is COPIED from here. No matter where they are read from, if it's necessary to write configuration changes back into this files, user's files will be written to.

~/GNUstep/Library/WindowMaker/autostart
    This script is automatically executed when Window Maker is started.

~/GNUstep/Library/WindowMaker/exitscript
    This script is automatically executed immediately before Window Maker is exited. Note: If you need to run something that requires the X server to be running from this script, make sure you do not use the SHUTDOWN command from the root menu to exit Window Maker. Otherwise, the X server might be shut down before the script is executed.

~/GNUstep/Library/WindowMaker/
    The menu file indicated in WMRootMenu is looked for here...

/opt/local/share/WindowMaker/
    and here, in that order. Unless, the indicated path is an absolute path.

~/GNUstep/Library/WindowMaker/Pixmaps/
    Window Maker looks for pixmaps here

~/GNUstep/Library/Icons/
    Window Maker looks for icons here

~/GNUstep/Library/WindowMaker/Backgrounds/
    Window Maker looks for backgrounds here

~/GNUstep/Library/WindowMaker/Styles/
    Window Maker looks for style files here (not true... it looks like it does, but you have to specify the full path anyway, it's just a place to keep things nicely ordered)

~/GNUstep/Library/WindowMaker/Themes/
    Window Maker looks for theme files here (ibid)

/opt/local/share/WindowMaker/Pixmaps/
    System-wide (Window Maker-specific) pixmaps are located here

/opt/local/share/WindowMaker/Styles/
    System wide styles are here

/opt/local/share/WindowMaker/Themes/
    Guess... ;-)

ENVIRONMENT

WMAKER_USER_ROOT
    specifies the initial path for the Defaults directory. "Defaults/" is appended to this variable to determine the actual location of the databases. If the variable is not set, it defaults to "~/GNUstep"

GNUSTEP_USER_APPS
    specifies the location of the user's GNUstep Apps directory. If this variable is empty, it defaults to ~/GNUstep/Applications.

GNUSTEP_LOCAL_APPS
    specifies the location of the system-wide local GNUstep Apps directory (this is useful, for example, in those cases where the system-wide location is really a network wide location). If this variable is empty, it defaults to /usr/local/GNUstep/Local/Applications.

GNUSTEP_SYSTEM_APPS
    specifies the location of the system-wide GNUstep Apps directory. If this variable is empty, it defaults to /usr/GNUstep/System/Applications.

SEE ALSO
The Window Maker User Guide

The Window Maker FAQ

WPrefs(1), X(7), wxcopy(1), wxpaste(1), geticonset(1), seticons(1), getstyle(1), setstyle(1), wmsetbg(1), wmgenmenu(1), wmmenugen(1), wdread(1), wdwrite(1)

AUTHOR
Window Maker was written by Alfredo K. Kojima <kojima@windowmaker.info>, Dan Pascu <dan@windowmaker.info> with contributions from many people around the Internet.

This manual page was created by Marcelo E. Magallon, <mmagallo@debian.org> and is maintained by the Window Maker team.